2.7.1: no repo for tumbleweed, dependency issues

Hi,
I noticed that on https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/ there is no separate repo for opensuse tumbleweed, just for the leap 15.1 and 15.2 releases. When trying the 15.2 repo instead, I see some dependency problems:

YaST2 conflicts list - generated 2020-11-24 20:02:07

libicui18n.so.suse65.1()(64bit) benötigt von ocqt5129-libQt5Core5-5.12.9-lp152.7.1.x86_64 wird nirgends zur Verfügung gestellt

[ ] ocqt5129-libQt5Core5-5.12.9-lp152.7.1.x86_64 durch Ignorieren einiger Abhängigkeiten brechen

[ ] owncloud-client-2.7.1-2560.x86_64 nicht installieren

libicui18n.so.suse65.1()(64bit) benötigt von ocqt5129-libQt5Core5-5.12.9-lp152.7.1.x86_64 wird nirgends zur Verfügung gestellt

Will there be a separate build/repo for tumbleweed? Or is there another way to solve these conflicts? (the required qt libs are old, we are now on qt core 5.15 …)
[ ] ocqt5129-libQt5Core5-5.12.9-lp152.7.1.x86_64 durch Ignorieren einiger Abhängigkeiten brechen

[ ] owncloud-client-dolphin-2.7.1-2560.x86_64 nicht installieren

libicui18n.so.suse65.1()(64bit) benötigt von ocqt5129-libQt5Core5-5.12.9-lp152.7.1.x86_64 wird nirgends zur Verfügung gestellt

[ ] owncloud-client-overlays-icons-2.7.1-2560.x86_64 nicht installieren
[ ] ocqt5129-libQt5Core5-5.12.9-lp152.7.1.x86_64 durch Ignorieren einiger Abhängigkeiten brechen

YaST2 conflicts list END

… ups, seems like me question has been cut off. Question:

a. will there be a repo for tumbleweed too?
b. is there some other way to solve the dependy problems on TW. The required QT packages here are pretty old …

Bye, Thommie

Just got the update from maintainer @dragotin :

Hey, ownCloud client 2.7.4 now made it to openSUSE Tumbleweed, which took a while, but now its there, thanks to a community contribution from openSUSE. Next time it will be faster because we solved a long standing problem with the package :slight_smile:

@michaelstingl Thanks for the Info, I already have it on two machines without issues. What was the problem with the packaging on TW?

Bye, Thommie

The original ownCloud source tarball contains sources (and also binaries before) that openSUSE and other Linux distros are not happy to re-distribute.

I used to remove them manually from the tarball, but that was an intransparent change to the source ball, which also was not accepted any more.

Now we found a way to use a source service in OBS to remove the pathes.